Bug 154394 - Duplicate devices when creating many VGs at install time
Duplicate devices when creating many VGs at install time
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lvm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-11 09:44 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-ks.log (3.25 KB, text/plain)
2005-04-11 09:44 EDT, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2005-04-11 09:44:47 EDT
After an installation of RHEL3 U4 with the attached kickstart file, 3 Logical
Volumes appear with the same major/minor numbers (58:3):
brw-rw----    1 root     0         58,   1 Mar 30 21:15 /dev/VGraid04/LVraid04
brw-rw----    1 root     0         58,   2 Mar 30 21:15 /dev/VGraid05/LVraid05
brw-rw----    1 root     0         58,   3 Mar 30 21:15 /dev/VGraid06/LVraid06
brw-rw----    1 root     0         58,   3 Mar 30 21:15 /dev/VGraid07/LVraid07
brw-rw----    1 root     0         58,   0 Mar 30 21:15 /dev/VGroot/LVroot
brw-rw----    1 root     0         58,   3 Mar 30 21:15 /dev/VGroot/LVscratch
brw-rw----    1 root     0         58,   6 Mar 30 21:15 /dev/VGroot/LVswap
brw-rw----    1 root     0         58,   4 Mar 30 21:15 /dev/VGroot/LVtmp
brw-rw----    1 root     0         58,   5 Mar 30 21:15 /dev/VGroot/LVvar

Kickstart file attached below.
Comment 1 Bastien Nocera 2005-04-11 09:44:49 EDT
Created attachment 112943 [details]
anaconda-ks.log
Comment 2 Jeremy Katz 2005-04-12 14:03:22 EDT
Is this the installed system /dev or the installer /dev?  And the ks.cfg you
attached has all of the partitioning info commented out.
Comment 3 Bastien Nocera 2005-04-13 04:08:17 EDT
The ks.cfg is the one generated after a manual installation. I'm checking about
the /dev.
Comment 4 Bastien Nocera 2005-04-13 06:52:56 EDT
/dev is the one in the installer's root, not the one on the installed system.
Both the automated installation with the kickstart, and a manual installation
will fail.
The kickstart installation will go through but the vgscan after reboot will fail:
"/dev/VGraid06/LVraid06: The superblock could not be read or does not describe a
correct ext2 filesystem"

The manual installation will throw an error:
"An error occured trying to format VGroot/LVvar. This problem is serious and the
install cannot continue."
and
"mke2fs: /dev/VGroot/LVvar is mounted, will not make a filesystem here!"
Comment 5 Jeremy Katz 2005-04-13 11:33:04 EDT
The device nodes in the /dev of the installer are created by the lvm tools.
Comment 6 Heinz Mauelshagen 2005-04-14 07:18:11 EDT
Does 'vgscan ; vgmknodes' leave the same major/minor duplication behind ?
Comment 7 Thomas Uebermeier 2005-05-05 08:34:09 EDT
The customer did not try 'vgscan ; vgmknodes' as he put the system already in   
production. At the time he only tried a 'vgscan -f' which fixed the behavior. 
He looks if he can reproduce the issue on a different system, though he is not   
sure if he can get one with the same setup, therefore it is not sure, if he   
can reproduce it again.   
   
Comment 11 RHEL Product and Program Management 2007-10-19 15:04:45 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.